package dk.firma.klient.webservice;

import java.io.IOException;
import java.security.PrivateKey;
import java.util.Properties;

import org.apache.ws.security.components.crypto.CredentialException;

import dk.gov.oiosi.configuration.ConfigurationHandler;
import dk.gov.oiosi.util.RaspMerlin;

/**
 * Created by IntelliJ IDEA.
 * User: jlm0578
 * Date: 08-11-11
 * Time: 09:41
 * To change this template use File | Settings | File Templates.
 */
public class TestJKS extends RaspMerlin
{
    //protected KeyStore cacerts = null;

    public TestJKS(Properties properties) throws CredentialException, IOException, Exception
    {
         super(properties);
        // Class test class can be used to identify problems witht he jks.
        // The certificates is extracted from the jks in the different ways,
        // that is used though out Rasp.

        // RaspMerlin and org.apache.ws.security.components.crypto.Merlin

        String alias = "function";
        String password = "Test1234";
        PrivateKey privateKey = this.getPrivateKey(alias, password);
        if(privateKey != null)
        {
            // the certificate can be found/retrived.
            String algorithm = privateKey.getAlgorithm();
            /*
             * Do something with this variable, otherwise it is marked as unused...
             */
            System.out.println("TestJKS: private key algorithm = " + algorithm);
        }
        else
        {
            throw new Exception("privateKey is null");

            // This can happens, if the function certificate is added to the key store before the ca certificate is
            // added. The the Merlin (CryptoBase) can not se the alias certificate.
            // Solution - remove the certificate from the jks, and add it again.
        }
    }


    public static void main(final String[] args)
    {
         Properties properties = new Properties();
        // Production
        /*ConfigurationHandler.setConfigurationFile("cfg/RaspConfiguration.Production.xml");
        properties.setProperty("org.apache.ws.security.crypto.merlin.keystore.password","Test1234");
        properties.setProperty("org.apache.ws.security.crypto.merlin.keystore.type","JKS");
        properties.setProperty("org.apache.ws.security.crypto.merlin.file","keys/OCES1_Live.jks");
        properties.setProperty("org.apache.ws.security.crypto.provider","dk.gov.oiosi.util.RaspMerlin");
        */

        // Test
        ConfigurationHandler.setConfigurationFile("cfg/RaspConfiguration.Test.xml");
        properties.setProperty("org.apache.ws.security.crypto.merlin.keystore.password","Test1234");
        properties.setProperty("org.apache.ws.security.crypto.merlin.keystore.type","JKS");
        properties.setProperty("org.apache.ws.security.crypto.merlin.file","keys/OCES1_Test.jks");
        properties.setProperty("org.apache.ws.security.crypto.provider","dk.gov.oiosi.util.RaspMerlin");

        try {
            // properties hardcode implemented  - taken from the configuration file: policy.xml


            new TestJKS(properties);
        }
        catch (Exception e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }
    }
}
