package dk.firma.webservice;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import dk.gov.oiosi.configuration.ConfigurationHandler;
import org.apache.log4j.Logger;


/**
 * Shows how to invoke startup tasks, configured in RaspConfiguration.xml.
 * 
 * This servlet should be defined in web.xml as first one to load (see web.xml in this project):
 * 
 * @author Dmitriy Lapko, TrueLink A/S
 */
public class InitServlet extends HttpServlet {

	private static final long serialVersionUID = -4515457543862567508L;

	private static final Logger log = Logger.getLogger(InitServlet.class);

	public void init(ServletConfig arg0) throws ServletException {
		super.init(arg0);

		try {
			ConfigurationHandler.getInstance().executeStartupTasks();
		} catch (Throwable e) {
			log.error("OIORASP ConfigurationHandler failed to execute startup tasks", e);
		}
	}

}