package dk.gov.oiosi.addressing;

public class IdentifierCpr extends Identifier {

    /**
     * CPR representation of Identifier.
     */
    private String cprNumber;
    
    private static final String keyTypeValue = "http://oio.dk/profiles/OIOSI/1.2/UDDI/Identifiers/cprNumber/";
    
    /**
     * CPR Identifer.
     * 
     * @param value the CPR representation of Identifier.
     */
    public IdentifierCpr(final String value) {
        set(value);
    }
    
	@Override
	public String getAsString() {
		return cprNumber;
	}

	@Override
	public String getKeyTypeValue() {
		return keyTypeValue;
	}

	@Override
	public String getType() {
		return "CPR";
	}

	@Override
	public boolean isAllowedInPublic() {
		return false;
	}

	@Override
	public void set(String value) {
		if (value == null || value.isEmpty()) throw new IllegalArgumentException("value is null or empty");
		cprNumber = value;
	}
}
