package dk.gov.oiosi.axis2.module.actionnotsupportedfix;

import org.apache.axis2.AxisFault;
import org.apache.axis2.Constants;
import org.apache.axis2.addressing.AddressingConstants;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.description.HandlerDescription;
import org.apache.axis2.description.Parameter;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import dk.gov.oiosi.axis2.module.RaspHandler;

public class ActionNotSupportedFixInHandler extends RaspHandler {
	
	private static final Log log = LogFactory.getLog(ActionNotSupportedFixInHandler.class);
    public static final String NAME = "ActionNotSupportedFixInHandler";
	private static final HandlerDescription ACTIONNOTSUPPORTED_HANDLER_METADATA = new HandlerDescription("Default Action Not Supported Handler");
	
	private HandlerDescription handlerDesc = ACTIONNOTSUPPORTED_HANDLER_METADATA;
	
	@Override
	public void flowComplete(MessageContext ctx) {
		
	}

	@Override
	public HandlerDescription getHandlerDesc() {
		return handlerDesc;
	}

	@Override
	public String getName() {
		return NAME;
	}

	@Override
	public Parameter getParameter(String arg0) {
		//This particular handler has no parameters
        return null;
	}

	@Override
	public void init(HandlerDescription arg0) {
		this.handlerDesc = arg0;
	}

	@Override
	public InvocationResponse invoke(MessageContext ctx) throws AxisFault {
        log.debug(NAME + " . invoke");
		ctx.setProperty(AddressingConstants.ADDR_VALIDATE_ACTION, Constants.VALUE_FALSE); 
        return InvocationResponse.CONTINUE;
	}

}
