package dk.gov.oiosi.axis2.module.mailtransportfix;

import java.util.HashMap;
import java.util.Map;

import org.apache.axis2.AxisFault;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.description.HandlerDescription;
import org.apache.axis2.description.Parameter;
import org.apache.axis2.transport.mail.MailConstants;

import dk.gov.oiosi.axis2.module.RaspHandler;

public class MailTransportAddHeadersHandler extends RaspHandler {

    public static final String NAME = "MailTransportAddHeadersHandler";
    private static HandlerDescription EMPTY_HANDLER_METADATA = new HandlerDescription("default Handler");
    private HandlerDescription handlerDesc;
	
    public MailTransportAddHeadersHandler() {
    	this.handlerDesc = EMPTY_HANDLER_METADATA;
    }
    
	@Override
	public void flowComplete(MessageContext arg0) {
	}

	@Override
	public HandlerDescription getHandlerDesc() {
		return handlerDesc;
	}

	@Override
	public String getName() {
		return NAME;
	}

	@Override
	public Parameter getParameter(String arg0) {
		return null;
	}

	@Override
	public void init(HandlerDescription handlerdesc) {
		this.handlerDesc = handlerdesc;
	}

	@Override
	public InvocationResponse invoke(MessageContext msgContext) throws AxisFault {
		if (msgContext.getTransportOut() != null && "mailto".equals(msgContext.getTransportOut().getName())) {
			msgContext.getOptions().setProperty("Content-Transfer-Encoding", "base64");
			
			Map<String, String> customheaders = new HashMap<String, String>();
	        customheaders.put("Content-Disposition", "attachment");
	        msgContext.getOptions().setProperty(MailConstants.TRANSPORT_MAIL_CUSTOM_HEADERS, customheaders); 
		}
        return InvocationResponse.CONTINUE;  
	}
}