/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.common;

/**
 * Thrown when a SOAP fault is received in response to a request.
 *
 * @deprecated From OIORASP 1.3.0: Will be removed in next release.
 */
public class ConfigurationRuntimeException extends RuntimeException {
    private static final long serialVersionUID = 5294958114053885136L;

    public ConfigurationRuntimeException() {
        super("Configuration Exception - something is not correct");
    }

    public ConfigurationRuntimeException(String message) {
        super(message);
    }

    public ConfigurationRuntimeException(String message, Throwable e) {
        super(message, e);
    }

}