package dk.gov.oiosi.common;

import java.util.Collection;
import java.util.Iterator;

/**
 * Utility class for printing collection to log string
 * 
 * @author Dmitriy Lapko, TrueLink A/S
 * @since OIORASP 1.3.0
 */
public class LogUtil {

	public static String toString(Collection<?> collection, int maxLogValueCount, int maxValueStringLength) {
		if (collection == null) {
			return "";
		}
		StringBuilder sb = new StringBuilder();
		sb.append("[");
		int i = 0;
		for (Iterator<?> iterator = collection.iterator(); iterator.hasNext() && i < maxLogValueCount; i++) {
			if (i > 0) {
				sb.append(", ");
			}
			sb.append("{");
			sb.append(unifyString(iterator.next(), maxValueStringLength));
			sb.append("}");
		}
		sb.append("]");
		return sb.toString();
	}

	public static String unifyString(Object object, int stringLength) {
		String s = String.valueOf(object).trim();
		/*
		 * Remove line breaks for shorter log line
		 */
		s = s.replace('\r', ' ');
		s = s.replace('\n', ' ');
		if (s.length() > stringLength) {
			StringBuilder sb = new StringBuilder();
			sb.append("...(");
			sb.append(String.valueOf(s.length() - stringLength));
			sb.append(" more)");
			String lengthDesc = sb.toString();
			s = s.substring(0, stringLength);
			return s + lengthDesc;
		}
		return s;
	}
}
