/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.common;

/**
 * Representation of Version.
 */
public class Version {

    /**
     * Version.
     */
    private String value;

    // int majorInt = 0;
    // int minorInt = 0;
    // int revisionInt = 0;

    /**
     * Construct Version based on major, minor and revision number.
     * 
     * @param major
     *            X.0.0
     * @param minor
     *            0.X.0
     * @param revision
     *            0.0.X
     */
    public Version(final int major, final int minor, final int revision) {
        // majorInt = major;
        // minorInt = minor;
        // revisionInt = revision;

        value = "" + major + "." + minor + "." + revision;
    }

    /**
     * Construct Version based on validated argument.
     * 
     * @param argument
     *            Version
     */
    public Version(final String argument) {
        value = argument;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public final String toString() {
        return value;
    }
}
