package dk.gov.oiosi.common.cache.holder;

import dk.gov.oiosi.common.cache.MultipleQuantityCache;

/**
 * Interface for value holders of {@link MultipleQuantityCache} implementations.
 * Allows to define different cache policies
 * 
 * @author Dmitriy Lapko, TrueLink A/S
 * 
 * @param <TKey>
 * @param <TValue>
 */
public interface IMultipleQuantityValueHolder<TKey, TValue> {

	public TValue getValue();

	public int incrementUseCount(int cacheUsageIndex);

	public int getUseCount();

	public TKey getKey();

	public void add(TValue value);

	public boolean isEmpty();

}
