package dk.gov.oiosi.common.startup;

import java.io.Serializable;

/**
 * Configuration entry for IStartupTask implementations.
 *
 * Name/value are supposed to be non-null and trimmed (no spaces before and
 * after).
 *
 * @author Dmitriy Lapko, TrueLink A/S
 * @since OIORASP 1.3.0
 */
public class StartupTaskConfiguration implements Serializable {

	private static final long serialVersionUID = -1024167803415606654L;

	private String name;
	private String value;

	public StartupTaskConfiguration() {
	}

	public StartupTaskConfiguration(String name, String value) {
		this.name = name;
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String key) {
		this.name = key;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
