/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.communication;

/**
 * Thrown when a SOAP fault is received in response to a request.
 */
public class FaultReturnedException extends OiosiCommunicationException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Constructor.
     * 
     * @param fault
     *            The fault message
     * @param source
     *            Sender/Receiver
     */
    public FaultReturnedException(final String fault, final String source) {
        super("fault : " + fault + " - source : " + source);
    }

    public FaultReturnedException(final String message) {
        super(message);
    }
    public FaultReturnedException(final String message, Throwable e) {
        super(message, e);
    }

}
