/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.communication;

import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;

/**
 * Class to hold and valdate MailAddress.
 */
public class MailAddress {

    /**
     * EmailAddress.
     */
    private InternetAddress address;

    /**
     * Construct EmailAddress.
     * 
     * @param value
     *            email
     */
    public MailAddress(final String value) {
        try {
            address = new InternetAddress(value);
        } catch(AddressException e) {
            throw new IllegalArgumentException("Illegal email : " + value + " : " + e);
        } 
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    public final String toString() {
        return address.toString();
    }

}
