/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.communication.configuration;

/**
 * CustomHeaderXPathConfiguration.
 */
public class CustomHeaderXPathConfiguration {

    /**
     * Name of customheader.
     */
    private String name;

    /**
     * XPath for getting value from document. 
     */
    private String xpath;

    /**
     * Custom Header name.
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * Custom Header name.
     * @param value name
     */
    public void setName(String value) {
        name = value;
    }

    /**
     * XPath to Custom Header value.
     * @return xpath
     */
    public String getXPath() {
        return xpath;
    }

    /**
     * XPath to Custom Header value.
     * @param value xpath
     */
    public void setXPath(String value) {
        xpath = value;
    }

    /**
     * Constructor.
     */
    public CustomHeaderXPathConfiguration() {
    }

    /**
     * Constructor.
     * @param n name
     * @param x xpath
     */
    public CustomHeaderXPathConfiguration(String n, String x) {
        name = n;
        xpath = x;
    }
}
