/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.communication.configuration;

/**
 * Represents a mapping between between internal and external endpoint key type
 * codes.
 */
public class KeyTypeMapping {

    /**
     * value.
     */
    private String value;

    /**
     * mapping.
     */
    private String mapsTo;

    /**
     * Constructor.
     */
    public KeyTypeMapping() {
        value = "";
        mapsTo = "";
    }

    /**
     * Constructor.
     * 
     * @param v
     *            Value
     * @param m
     *            Value mapping
     */
    public KeyTypeMapping(String v, String m) {
        value = v;
        mapsTo = m;
    }

    /**
     * Gets the value.
     * 
     * @return value
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value.
     * 
     * @param v
     *            value
     */
    public void setValue(String v) {
        value = v;
    }

    /**
     * Gets the mapping
     * 
     * @return mapping
     */
    public String getMapsTo() {
        return mapsTo;
    }

    /**
     * Sets the mapping
     * 
     * @param m
     *            mapping
     */
    public void setMapsTo(String m) {
        mapsTo = m;
    }
}