/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.communication.configuration;

import dk.gov.oiosi.communication.OiosiCommunicationException;

/**
 * Exception thrown when the key type mapping fails for the given value.
 */
public class KeyTypeMappingFailedException extends OiosiCommunicationException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Constructor that takes the values string that failed the mapping and an
     * inner exception as a more specific reason.
     * 
     * @param value message
     * @param innerException cause
     */
    public KeyTypeMappingFailedException(final String value, final Exception innerException) {
        super(value, innerException);
    }

}
