package dk.gov.oiosi.communication.configuration.mail;

public interface IMailServerConfiguration {
	
	/**
	 * The address of the mail server.
	 * 
	 * @return The server address.
	 */
    String getServerAddress();
    
	/**
	 * Password used to log on to the server (combined with the UserName property)
	 * 
	 * @return The password.
	 */
    String getPassword();

    /**
     * Username used to log on to the server (combined with the Password property)
     * 
     * @return The username.
     */
    String getUserName();

    /**
     * The address to reply to.
     * 
     * @return
     */
    String getReplyAddress();

    /**
     * Policy describing the way we connect to the mail server, for example connection time and polling pattern.
     * 
     * @return
     */
    MailServerConnectionPolicy getConnectionPolicy();
}
