/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and  
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.communication.service;

/**
 * Debugging version for Interop test. Message handler interface. A generic xml
 * proxy must implement this interface.
 * <p/>
 * The referred message id is transferred on OiosiMessage : String messageId = message.getMessageId();
 */
public interface IServiceContractTransaction extends IServiceContract {

    /**
     * will be invoked with messageId if rm sequence is ack'ed.
     *
     * @param messageId incoming message id
     */
    public void confirmOperation(String messageId);

    /**
     * will be invoked with messageId if rm sequence is not before timeout ack'ed
     *
     * @param messageId incoming message id
     */
    public void timeoutOperation(String messageId);

    /**
     * will be invoked with messageId if exception is thrown from service
     *
     * @param messageId incoming message id
     */
    public void faultedOperation(String messageId);
}