/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security;

import dk.gov.oiosi.exception.MainException;

/**
 * Base class for an exception that occurs while handling a certificate.
 */
public class CertificateHandlingException extends MainException {

    private static final long serialVersionUID = -2425184184920807967L;

    /**
     * Constructor.
     */
    public CertificateHandlingException() {
    }

    /**
     * Constructor
     *
     * @param e The keywords to add
     */
    public CertificateHandlingException(final String e) {
        super(e);
    }

    /**
     * Constructor. Takes an exception and displays it as an inner exception
     *
     * @param innerException The exception to display as an inner exception
     */
    public CertificateHandlingException(final Exception innerException) {
        super(innerException);
    }

    /**
     * Constructor. Takes an exception and displays it as an inner exception
     *
     * @param innerException The exception to display as an inner exception
     * @param message        error message
     * @since OIORASP 1.3.0
     */
    public CertificateHandlingException(String message, final Exception innerException) {
        super(message, innerException);
    }
}