/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security;

/**
 * Status of a check of an x509 certificate.
 */
public class X509CheckStatus {

    /**
     * status.
     */
    private int value = -1;

    /**
     * X509CheckStatus.
     * 
     * @param v
     *            status
     */
    public X509CheckStatus(int v) {
        value = v;
    }

    /**
     * X509CheckStatus.
     * 
     * @return status
     */
    public int getStatus() {
        return value;
    }

    /**
     * The check was not performed.
     */
    public static final int NotChecked = 0;

    /**
     * All checks passed
     * 
     */
    public static final int AllChecksPassed = 1;

    /**
     * A certificate chain issue was found
     * 
     */
    public static final int ChainIssue = 2;

    /**
     * The certificate failed the validity issue check
     * 
     */
    public static final int ValidityPeriodIssue = 3;

    /**
     * The certificate failed the chain- and validity issue check
     * 
     */
    public static final int ChainAndValidityPeriodIssue = 4;

    /**
     * An unknown issue caused the check to fail
     * 
     */
    public static final int UnknownIssue = 5;

}
