/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security.ldap;

/**
 * Exception that is thrown when the connection attemption to the LDAP server
 * fails.
 */
public class ConnectingToLdapServerFailedException extends LdapException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 2L;

    /**
     * Constructor that takes the settings used for the connection and the cause
     * exception. It transforms the setting object into a keyword dictionary
     * before calling its base constructor with the dictionary and inner
     * exception as parameters.
     * 
     * @param settings
     *            The settings used when attempting connection
     * @param innerException
     *            The cause exception
     */
    public ConnectingToLdapServerFailedException(final LdapSettings settings, final Throwable innerException) {
        super(String.valueOf(settings), innerException);
    }

}
