/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security.ldap;

/**
 * LdapSettings. Configuration of LdapServer.
 */
public class LdapSettings {
    
    /**
     * Ldap server host.
     */
    private String host;

    /**
     * Port. 
     */
    private int port;

    /**
     * connectionTimeoutMsec.
     */
    private int connectionTimeoutMsec;

    /**
     * searchServerTimeoutMsec.
     */
    private int searchServerTimeoutMsec;

    /**
     * searchClientTimeoutMsec.
     */
    private int searchClientTimeoutMsec;

    /**
     * maxResults.
     */
    private int maxResults;

    /**
     * Gets and sets Host.
     * 
     * @return Host
     */
    public String getHost() {
        return host;
    }

    /**
     * Gets and sets Host.
     * 
     * @param value
     *            Host
     */
    public void setHost(String value) {
        host = value;
    }

    /**
     * Gets and sets the port.
     * 
     * @return Port
     */
    public int getPort() {
        return port;
    }

    /**
     * Gets and sets the port.
     * 
     * @param value
     *            Port
     */
    public void setPort(int value) {
        port = value;
    }

    /**
     * Gets and sets the connection timeout.
     * 
     * @return Timeout
     */
    public int getConnectionTimeoutMsec() {
        return connectionTimeoutMsec;
    }

    /**
     * Gets and sets the connection timeout.
     * 
     * @param value
     *            Timeout
     */
    public void setConnectionTimeoutMsec(int value) {
        connectionTimeoutMsec = value;
    }

    /**
     * Gets and sets the search server timeout.
     * 
     * @return SearchServerTimeoutMsec
     */
    public int getSearchServerTimeoutMsec() {
        return searchServerTimeoutMsec;
    }

    /**
     * Gets and sets the search server timeout.
     * 
     * @param value
     *            SearchServerTimeoutMsec
     */
    public void setSearchServerTimeoutMsec(int value) {
        searchServerTimeoutMsec = value;
    }

    /**
     * Gets and sets the search client timeout.
     * 
     * @return SearchClientTimeoutMsec
     */
    public int getSearchClientTimeoutMsec() {
        return searchClientTimeoutMsec;
    }

    /**
     * Gets and sets the search client timeout.
     * 
     * @param value
     *            SearchClientTimeoutMsec
     */
    public void setSearchClientTimeoutMsec(int value) {
        searchClientTimeoutMsec = value;
    }

    /**
     * Get and sets the maximum number of results.
     * 
     * @return MaxResults
     */
    public int getMaxResults() {
        return maxResults;
    }

    /**
     * Get and sets the maximum number of results.
     * 
     * @param value
     *            MaxResults
     */
    public void setMaxResults(int value) {
        maxResults = value;
    }

    @Override
    public String toString() {
    	return "Address: " + host + ":" + port + ", Connection timeout: " + connectionTimeoutMsec + " msecs, Search server timeout: " + searchServerTimeoutMsec + " msecs, Search client timeout: " + searchClientTimeoutMsec + " msecs, Max results: " + maxResults;
    }
}
