/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.security.revocation;

import dk.gov.oiosi.security.CertificateHandlingException;

/**
 * General revocation exception class.
 */
public class RevocationException extends CertificateHandlingException {

	private static final long serialVersionUID = -1103450041200842017L;

	/**
     * Base constructor.
     */
    public RevocationException() {
        super();
    }

    /**
     * Base constructor.
     *
     * @param e
     *            message
     */
    public RevocationException(final String e) {
        super(e);
    }

    /**
     * Constructor with inner exception.
     *
     * @param innerException
     *            innerexception of the thrown exception
     */
    public RevocationException(final Exception innerException) {
        super(innerException);
    }

	/**
	 * Constructor with inner exception.
	 *
	 * @param message
	 *            error message
	 * @param innerException
	 *            innerexception of the thrown exception
	 * @since OIORASP 1.3.0
	 */
    public RevocationException(String message, final Exception innerException) {
        super(message, innerException);
    }

}
