/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and 
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.uddi;

public class RegistryLookupClientFactoryConfig {
    private String implementationNamespaceClass = "";
    private String implementationAssembly = "";

    
    /**
     * Default constructor
     */
    public RegistryLookupClientFactoryConfig() { }
	

    /*
     * The namespace of the IUddiLookup implementation @return
     * ImplementationNamespaceClass
     */
    public String getImplementationNamespaceClass() {
        return implementationNamespaceClass;
    }

    /*
     * The namespace of the IUddiLookup implementation @param value
     * ImplementationNamespaceClass
     */
    public void setImplementationNamespaceClass(String value) {
        implementationNamespaceClass = value;
    }

    /**
     * The assembly name of the IUddiLookup implementation
     * 
     * @return ImplementationAssembly
     */
    public String getImplementationAssembly() {
        return implementationAssembly;
    }

    /**
     * The assembly name of the IUddiLookup implementation
     * 
     * @param value
     *            ImplementationAssembly
     */
    public void setImplementationAssembly(String value) {
        implementationAssembly = value;
    }

}
