/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.uddi;

import dk.gov.oiosi.uddi.UddiException;

/**
 * Exception thrown when a given endpoint type is unknown or not supported.
 */
public class UnknownEndpointTypeException extends UddiException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Constructor that takes the endpoint key type that is unknown.
     * 
     * @param endpointKeyType
     */
    public UnknownEndpointTypeException(EndpointKeyTypeCode endpointKeyType) {
        super("code == " + endpointKeyType.getCode());
    }

    /**
     * Constructor that takes the endpoint key type string that is unknown.
     * 
     * @param endpointKeyType
     */
    public UnknownEndpointTypeException(String endpointKeyType) {
        super(endpointKeyType);
    }

}
