/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.xml;

import org.apache.axiom.om.OMElement;
import org.w3c.dom.Element;

/**
 * Indicates that an argument was null.
 */
public class XmlDocumentException extends XmlException {

    /**
     * serialVersionUID.
     */
    private static final long serialVersionUID = 2L;

    /**
     * Constructor.
     * 
     * @param doc
     *            document
     */
    public XmlDocumentException(final OMElement doc) {
        super("Could not convert XmlDocument from Axiom OM format to Java W3");
    }

    /**
     * Constructor.
     * 
     * @param doc
     *            document
     */
    public XmlDocumentException(final Element doc) {
        super("Could not convert XmlDocument from Java W3 to Axiom OM format");
    }

}
