/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.xml.schema;

import dk.gov.oiosi.xml.XmlException;

/**
 * Abstract exception for schema validation.
 */
public abstract class SchemaValidationException extends XmlException {

    private static final long serialVersionUID = 98693402438039043L;

    /**
     * Base constructor.
     *
     * @param message message
     */
    public SchemaValidationException(final String message) {
        super(message);
    }

    /**
     * Constructor with inner exception.
     *
     * @param exception inner exception of the thrown exception
     */
    public SchemaValidationException(final Throwable exception) {
        super(exception);
    }
}