/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.xml.schematron;

import dk.gov.oiosi.xml.XmlException;

/**
 * Abstract schematron validation exception.
 */
public abstract class SchematronValidationException extends XmlException {
	private static final long serialVersionUID = 2L;

	/**
     * Base constructor.
     */
    public SchematronValidationException() {
        super();
    }

    /**
     * Base constructor.
     * 
     * @param e message
     */
    public SchematronValidationException(final String e) {
        super(e);
    }

    /**
     * Constructor with inner exception.
     * 
     * @param innerException
     *            innerexception of the thrown exception
     */
    public SchematronValidationException(final Throwable innerException) {
        super(innerException);
    }
    
    /**
     * Constructor with cause exception and error message.
     * 
     * @param message error message
     * @param innerException
     *            innerexception of the thrown exception
     */
    public SchematronValidationException(final String message, final Throwable innerException) {
        super(message, innerException);
    }

}
