package dk.gov.oiosi.common;

import edu.emory.mathcs.backport.java.util.Arrays;
import junit.framework.TestCase;

public class LogUtilTest extends TestCase {

	public void testToStringCollectionOfQIntInt() {
		assertEquals("", LogUtil.toString(null, 10, 100));
		assertEquals("[{1234567890...(10 more)}, {2}, {3}]", LogUtil.toString(Arrays.asList(new String[] {"12345678901234567890", "2", "3", "4", "5"}), 3, 10));
		
		assertEquals("[{1234567890}]", LogUtil.toString(Arrays.asList(new String[] {"1234567890"}), 1, 10));
		assertEquals("[{123456789...(1 more)}]", LogUtil.toString(Arrays.asList(new String[] {"1234567890"}), 1, 9));
		assertEquals("[{1...(9 more)}]", LogUtil.toString(Arrays.asList(new String[] {"1234567890"}), 1, 1));
		assertEquals("[{1...(9 more)}]", LogUtil.toString(Arrays.asList(new String[] {"1234567890"}), 1, 1));
		assertEquals("[{...(10 more)}]", LogUtil.toString(Arrays.asList(new String[] {"1234567890"}), 1, 0));
		assertEquals("[{1234567890}]", LogUtil.toString(Arrays.asList(new String[] {"1234567890"}), 1, 10000));
	}

	public void testUnifyString() {
		assertEquals("null", LogUtil.unifyString(null, 5));
		assertEquals("n...(3 more)", LogUtil.unifyString(null, 1));
		assertEquals("n", LogUtil.unifyString("\r\r\n\n\rn  \r\n\r\n", 1000));
	}

}
