package dk.gov.oiosi.common.schedule;

/**
 * Only for tests - possibility to clear current instance of scheduled executor.
 * 
 * Method init() is marked as protected static in ScheduledExecutor not to
 * disclose it in library.
 * 
 * @author Dmitriy Lapko, TrueLink A/S
 * 
 */
public class ScheduledExecutorCleaner {

	/**
	 * Clear current instance of configuration handler. Only for tests.
	 * 
	 * Actually it terminates all jobs and creates a new executor
	 */
	public static void clear() {
		ScheduledExecutor.getInstance().shutdownNow();
		ScheduledExecutor.getInstance().init();
	}
}
