package dk.gov.oiosi.configuration;

import dk.gov.oiosi.common.cache.LeastFrequentlyUsedQuantityCache;
import dk.gov.oiosi.test.TestConstants;
import junit.framework.TestCase;

public class CacheFactoryTest extends TestCase {

	protected void setUp() throws Exception {
		ConfigurationHandler.setConfigurationFile(TestConstants.PATH_RASPCONFIGURATION_TEST);
	}

	public void testCreateCache() throws Exception {
		CacheFactory h = new CacheFactory();
		assertNotNull(h.createCache(null));
		CacheConfigElement cce = new CacheConfigElement(null, null, null);
		assertNotNull(h.createCache(cce));
		
		cce.setImplementationNamespaceClass("unexisting.class.name");
		assertNotNull(h.createCache(cce));
		
		cce.setImplementationNamespaceClass(LeastFrequentlyUsedQuantityCache.class.getName());
		cce.setConfigurationList(null);
		assertNotNull(h.createCache(cce));
	}

	public void testGetOcspLookupCache() {
		assertNotNull(CacheFactory.getInstance().getOcspLookupCache());
	}

	public void testGetCrlLookupCache() {
		assertNotNull(CacheFactory.getInstance().getCrlLookupCache());
	}

	public void testGetUddiServiceCache() {
		assertNotNull(CacheFactory.getInstance().getUddiServiceCache());
	}

	public void testGetUddiTModelCache() {
		assertNotNull(CacheFactory.getInstance().getUddiTModelCache());
	}

	public void testGetCertificateCache() {
		assertNotNull(CacheFactory.getInstance().getCertificateCache());
	}

	public void testGetSchematronStoreCache() {
		assertNotNull(CacheFactory.getInstance().getSchematronStoreCache());
	}

}
