package dk.gov.oiosi.security.revocation.cache;

import dk.gov.oiosi.common.OutVariable;
import dk.gov.oiosi.common.cache.ICache;
import dk.gov.oiosi.common.cache.ZeroCache;
import junit.framework.Assert;
import junit.framework.TestCase;

public class ZeroCacheTest extends TestCase {

    private ICache<String, String> cache;

    public void testSingleAddRemove() {
        cache = new ZeroCache<String, String>();
        cache.add("test", "test");
        testDoNotExists("test");
        cache.remove("test");
        testDoNotExists("test");
    }

    private void testDoNotExists(String key) {
        Assert.assertFalse(cache.containsKey(key));
        OutVariable<String> current = new OutVariable<String>();
        Assert.assertFalse(cache.tryGetValue(key, current));
    }
}