/**
 * 
 */
package dk.gov.oiosi.test;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import org.apache.commons.io.IOUtils;
import org.apache.commons.lang.StringUtils;

/**
 * Creates html file with list of Third party Jars.
 */
public class RaspLicenses {

    /**
     * @param args
     */
    public static void main(String[] args) {
        String docFile = "doc/rasplicenses.html";

        File dir = new File("lib/");
        if (!dir.exists()) {
            dir = new File("../lib/");
            docFile = "../" + docFile;
        }
        String[] fileList = dir.list();
        String html = "<html><head><title>RASP Licenses</title></head></body>";
        html += "<table><th><tr><td><b>Thirdparty name</b></td>";
        html += "<td><b>Version</b></td>";
        html += "</tr><th>";
        for (int i = 0; i < fileList.length; i++) {
            html += getFormattedString(fileList[i]);
        }
        html += "</table></body></html>";
        try {
            FileWriter fw = new FileWriter(docFile);
            IOUtils.write(html, fw);
            IOUtils.closeQuietly(fw);
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

    /**
     * @param string
     * @return
     */
    private static String getFormattedString(String string) {
        String formString = "<tr>";
        formString = "<td>" + StringUtils.substringBeforeLast(string, "-") + "</td>";
        formString += "<td>" + StringUtils.substringBeforeLast(StringUtils.substringAfterLast(string, "-"), ".") + "</td>";
        return formString + "</tr>";
    }

}
