/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this
 * file except in compliance with the License. You may obtain
 * a copy of the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 *
 * The Original Code is Java RASP toolkit.
 *
 * The Initial Developer of the Original Code is Lenio. Portions
 * created by Lenio are Copyright (C) 2007 Danish National IT and
 * Telecom Agency (http://www.itst.dk). All Rights Reserved.
 */

package dk.gov.oiosi.test.client;

import dk.gov.oiosi.communication.OiosiMessage;
import dk.gov.oiosi.communication.Request;
import dk.gov.oiosi.communication.Response;
import dk.gov.oiosi.test.TestConstants;

/**
 * Test against .net mail service.
 */
public class TestSending extends AbstractTestRaspStackInterop {

    public String getEndpointUrl(String service) {
        return service;
    }

    /*
     * (non-Javadoc)
     *
     * @see dk.gov.oiosi.test.client.AbstractTestRaspStackInterop#getDefaultServerKeylabel()
     */
    protected String getDefaultServerKeylabel() {
        return "server";
    }

    /*
     * (non-Javadoc)
     *
     * @see dk.gov.oiosi.test.client.AbstractTestRaspStackInterop#getProxy()
     */
    protected int getProxy() {
        return -1;
    }

    public void localCleanup() throws Exception {
        Thread.sleep(3000);
    }

    /**
     * Rasp Document Invoice OK FULL.
     *
     * @throws Exception On error...
     */
    public void testRaspDocument_InvoiceOK_FULL() throws Exception {
        Request request = createRequest(getEndpointUrl(SERVICE_DOCUMENT_SERVICE_FULL), getDefaultCertificate());
        request.setUseWSS(true);
        request.setUseRM(true);
        OiosiMessage message = createMessage(TestConstants.PATH_INVOICE, true);
        Response response = request.getResponse(message);
        assertNotNull(response);
    }
}