package dk.gov.oiosi.uddi;

import dk.gov.oiosi.configuration.ConfigurationHandler;
import dk.gov.oiosi.configuration.ConfigurationHandlerCleaner;
import dk.gov.oiosi.exception.MainException;
import dk.gov.oiosi.test.TestConstants;
import junit.framework.TestCase;

import java.util.LinkedList;
import java.util.List;

public class RegistryLookupClientTest extends TestCase {

    @Override
    public void setUp() throws Exception {
        super.setUp();
        ConfigurationHandlerCleaner.clear();
        RegistryLookupClientFactory.lookupClient = null;
        ConfigurationHandler.setConfigurationFile(TestConstants.PATH_RASPCONFIGURATION_TEST);
    }

    public void testGetProcessDefinitions() throws MainException {
        List<UddiId> uddiIds = new LinkedList<UddiId>();
        uddiIds.add(new UddiGuidId("uddi:AEE8B6DE-298F-4cbc-A96D-9AE8AED0AC31", true));
        uddiIds.add(new UddiGuidId("uddi:c001daa0-8ba3-11dd-894e-770465b08940", true));

        IUddiLookupClient registryLookupClient = RegistryLookupClientFactory.getRegistryLookupClient();
        List<ProcessDefinition> processDefinitionList = registryLookupClient.GetProcessDefinitions(uddiIds);
        assertEquals(uddiIds.size(), processDefinitionList.size());
        System.out.println(processDefinitionList);
    }
}