package dk.gov.oiosi.xml.schematron.sax;

import java.io.InputStream;

import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import junit.framework.TestCase;

public class SchematronValidatorSAXHandlerTest extends TestCase {

	private static final int CASE_COUNT = 5;
	private static final int START_OIOUBL_CONFIG = 3;
	private static final int START_SUCCESS = 4;

	private SchematronValidatorSAXHandlerConfig oioubl;
	private SchematronValidatorSAXHandlerConfig oioxml;

	@Override
	public void setUp() {
		oioxml = new SchematronValidatorSAXHandlerConfig(new String[] { "schematron" }, "error");
		oioubl = new SchematronValidatorSAXHandlerConfig(new String[] { "Schematron", "Error" }, "Description");
	}

	public void testHandler() throws Exception {
		for (int i = 1; i <= CASE_COUNT; i++) {
			try {
				runCase(i);
			} catch (Exception t) {
				t.printStackTrace();
				throw t;
			}
		}
	}

	private void runCase(int index) throws Exception {
		InputStream is = this.getClass().getResourceAsStream("SchematronValidatorSAXHandlerTest_Case" + index + ".xml");

		SAXParserFactory factory = SAXParserFactory.newInstance();
		SAXParser parser = factory.newSAXParser();

		SchematronValidatorSAXHandlerConfig config;
		if (index >= START_OIOUBL_CONFIG) {
			config = oioubl;
		} else {
			config = oioxml;
		}

		SchematronValidatorSAXHandler handler = new SchematronValidatorSAXHandler(config);
		try {
			parser.parse(is, handler);
			if (index < START_SUCCESS) {
				fail("Case " + index + ", SchematronValidatorSAXException is expected");
			}
		} catch (SchematronValidatorSAXException v) {
			if (index < START_SUCCESS) {
				assertEquals("Case " + index, "ERROR TEXT TO SHOW", v.getMessage().trim());
			} else {
				fail("Case " + index + ", expected to pass without errors");
			}
		}
	}
}
