package dk.gov.oiosi.xml.xpath;

import dk.gov.oiosi.exception.MainException;
import dk.gov.oiosi.test.TestConstants;
import dk.gov.oiosi.xml.XmlDocument;
import junit.framework.TestCase;

import java.io.FileNotFoundException;

public class DocumentXPathResolverTest extends TestCase {

    /**
     * This method checks, that it is possible to call XPath API against AXIOM even if document is not fully built
     */
    public void testNonBuiltAXIOMDocument() throws Exception {
        checkCase(false);
    }

    public void testBuiltAXIOMDocument() throws Exception {
        checkCase(true);
    }

    protected void checkCase(boolean buildAxiom) throws MainException, FileNotFoundException {
        XmlDocument d = new XmlDocument();
        d.load(TestConstants.PATH_INVOICE, buildAxiom);

        PrefixedNamespace[] pnl = new PrefixedNamespace[2];
        pnl[0] = new PrefixedNamespace("urn:oasis:names:specification:ubl:schema:xsd:Invoice-2", "root");
        pnl[1] = new PrefixedNamespace("urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2", "cbc");
        String elementValueByXpath = DocumentXPathResolver.getElementValueByXpath(d, "/root:Invoice/cbc:CustomizationID", pnl);
        assertEquals("OIOUBL-2.01", elementValueByXpath);
    }
}